using System;
using System.Collections.ObjectModel;

namespace AspNetGallery.Extensions.Modules.QueryString
{
    public class QueryStringParamCollection : Collection<QueryStringParamInfo>
    {
        public Boolean Contains(String name)
        {
            for (var i=0; i<Count; i++)
            {
                var comparison = StringComparison.OrdinalIgnoreCase;
                var currentItem = this[i];
                if (currentItem.CaseSensitive)
                    comparison = StringComparison.Ordinal;
                if (String.Equals(currentItem.Name, name, comparison))
                    return true;
            }

            return false;
        }

        public QueryStringParamInfo Find(String name)
        {
            for (var i = 0; i < Count; i++)
            {
                var currentItem = this[i];
                if (String.Equals(currentItem.Name, name, StringComparison.OrdinalIgnoreCase))
                    return currentItem;
            }

            return null;
        }
    }
}