using System;
using System.Web;
using System.Web.Profile;
using System.Web.Security;

namespace UserProfileDemo.Classes
{
    public class UserProfile : ProfileBase
    {
        public static UserProfile GetUserProfile()
        {
            var user = Membership.GetUser();
            
            // Anonymous user?
            if (user == null)
                return GetUserProfile("");

            return GetUserProfile(user.UserName);
        }

        public static UserProfile GetUserProfile(String username)
        {
            var profileFromStorage = Create(username);
            return profileFromStorage as UserProfile;
        }


        [SettingsAllowAnonymous(true)]
        public Boolean UseEuroMetricSystem
        {
            get { return (Boolean) HttpContext.Current.Profile.GetPropertyValue("UseEuroMetricSystem"); }
            set { HttpContext.Current.Profile.SetPropertyValue("UseEuroMetricSystem", value); }
        }

        [SettingsAllowAnonymous(true)]
        public String TempSystem
        {
            get
            {
                var current = (String) HttpContext.Current.Profile.GetPropertyValue("TempSystem");
                if (String.IsNullOrEmpty(current)) 
                    return "F";
                return (String) current;
            }
            set { HttpContext.Current.Profile.SetPropertyValue("TempSystem", value); }
        }
    }
}