using System.Collections.Generic;
using Microsoft.ApplicationServer.Caching;

namespace Acs.Utils
{
    public class CacheUtils
    {
        private static DataCacheFactory _factory = null;
        private static DataCache _cache = null;

        public static DataCache GetCache()
        {
            if (_cache != null)
                return _cache;

            // Define array for 1 Cache Host      
            var servers = new List<DataCacheServerEndpoint>(1) {new DataCacheServerEndpoint("My-Laptop", 22233)};

            // Specify Cache Host Details       
            //   Parameter 1 = host name      
            //   Parameter 2 = cache port number      

            // Create cache configuration      
            var configuration = new DataCacheFactoryConfiguration
                                    {
                                        Servers = servers,
                                        LocalCacheProperties = new DataCacheLocalCacheProperties()
                                    };

            // Disable tracing to avoid informational/verbose messages on the web page      
            DataCacheClientLogManager.ChangeLogLevel(System.Diagnostics.TraceLevel.Off);

            // Pass configuration settings to cacheFactory constructor      
            _factory = new DataCacheFactory(configuration);

            // Get reference to named cache called "Dino"      
            _cache = _factory.GetCache("Dino");
            return _cache;
        }
    }
}