﻿using System;
using System.Windows;
using System.Windows.Controls;
using SilverRia.ExternalServices;
using SilverRia.Helpers;

namespace SilverRia
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void linkSearchNow_Click(object sender, RoutedEventArgs e)
        {
            var proxy = new InventoryManagerClient(); 
            if (this.radioSearchById.IsChecked == true)
            {
                proxy.GetInventoryByIdCompleted += proxy_GetInventoryByIdCompleted;
                proxy.GetInventoryByIdAsync(textId.Text.ToInt32());
            }
            else
            {
                proxy.GetInventoryByNameCompleted += proxy_GetInventoryByNameCompleted; 
                proxy.GetInventoryByNameAsync(textId.Text); 
            }
        }

        void proxy_GetInventoryByIdCompleted(Object sender, GetInventoryByIdCompletedEventArgs e)
        {
            ResetDisplay(); 
            if (e.Error == null)
            {
                gridInventoryDetails.DataContext = e.Result;
            } 
        }

        void proxy_GetInventoryByNameCompleted(Object sender, GetInventoryByNameCompletedEventArgs e) 
        { 
            ResetDisplay(); 
            if (e.Error == null)
            {
                dataGridProductList.DataContext = e.Result;
            } 
        }

        private void radioSearchById_Click(object sender, RoutedEventArgs e)
        {
            if (this.textId.Text.Length > 0)
                this.borderInventoryView.Visibility = Visibility.Visible;
        }

        private void radioSearchByName_Click(object sender, RoutedEventArgs e)
        {
            this.borderInventoryView.Visibility = Visibility.Collapsed;
        }

        private void ResetDisplay()
        {
            if (this.textId.Text.Length > 0)
            {
                if (this.radioSearchById.IsChecked == true)
                {
                    this.borderInventoryView.Visibility = Visibility.Visible;
                    this.borderInventoryTableView.Visibility = Visibility.Collapsed;
                }
                else
                {
                    this.borderInventoryView.Visibility = Visibility.Collapsed;
                    this.borderInventoryTableView.Visibility = Visibility.Visible;
                }
            }
            else
            {
                this.borderInventoryView.Visibility = Visibility.Collapsed;
                this.borderInventoryTableView.Visibility = Visibility.Collapsed;
            }
        }
    }

}
