﻿using System.Windows;
using System.Windows.Controls;
using HelloSilver.API;
using HelloSilver.Helpers;

namespace HelloSilver
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void linkSearchNow_Click(object sender, RoutedEventArgs e)
        {
            ResetDisplay();
            if (this.radioSearchById.IsChecked == true)
            {
                var p = PackageUtils.GetInventoryInfo(this.textId.Text); 
                this.gridInventoryDetails.DataContext = p;
            }
            else
            {
                this.dataGridProductList.DataContext = PackageUtils.GetInventoryInfoByName(this.textId.Text);
            }
        } 
        
        private void radioSearchById_Click(object sender, RoutedEventArgs e)
        {
            if (this.textId.Text.Length > 0) 
                this.borderInventoryView.Visibility = Visibility.Visible;
        } 
        
        private void radioSearchByName_Click(object sender, RoutedEventArgs e)
        {
            this.borderInventoryView.Visibility = Visibility.Collapsed;
        }

        private void ResetDisplay() 
        { 
            if (this.textId.Text.Length > 0)
            {
                if (this.radioSearchById.IsChecked == true)
                {
                    this.borderInventoryView.Visibility = Visibility.Visible; 
                    this.borderInventoryTableView.Visibility = Visibility.Collapsed;
                } 
                else
                {
                    this.borderInventoryView.Visibility = Visibility.Collapsed; 
                    this.borderInventoryTableView.Visibility = Visibility.Visible;
                }
            } 
            else
            {
                this.borderInventoryView.Visibility = Visibility.Collapsed; 
                this.borderInventoryTableView.Visibility = Visibility.Collapsed;
            } 
        }
    }
}
